Subject: Re: [PATCH 0/2] Making "git commit" to mean "git commit -a".

From: Steven Grimm <[email-masked]>
Date: Wed, 29 Nov 2006 11:09:16 -0800

Junio C Hamano wrote:
> After they learn what it means and get used to using it, they
> will start wondering why we do not default to "-a".

More likely they will start wondering the instant you tell them to use 
it the first time. Or at least they'll ask, "If '-a' means commit all 
files, what's the default?" And then you either have to blow off the 
question or start telling them about the index.

-Steve